Favicon

You are here: Home > API Reference > Apple > Apple Dep Profiles > Get list of admDepProfile

Get list of admDepProfile

Required Permission: mdm.apple.depProfile.list

Get list of admDepProfile

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/dep/profiles/
Copy to clipboard

Get list of admDepProfile

Required Permission: mdm.apple.depProfile.list

Get list of admDepProfile

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
name string
optional
≤ 256 characters
includeNoTemplates boolean
optional

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
admEnterprise string optional
Match pattern: ^[a-fA-F0-9]{24}$
isTemplate boolean optional
profileConfig object optional
profileName string optional
≤ 256 characters
profileUuid string optional
≤ 256 characters
url string optional
≤ 256 characters
allowPairing boolean optional
anchorCerts array [string] optional
autoAdvanceSetup boolean optional
awaitDeviceConfigured boolean optional
configurationWebUrl string optional
≤ 256 characters
department string optional
≤ 256 characters
devices array [string] optional
isMandatory boolean optional
isMdmRemovable boolean optional
isMultiUser boolean optional
isSupervised boolean optional
language string optional
≤ 256 characters
orgMagic string optional
≤ 256 characters
region string optional
≤ 256 characters
skipSetupItems array [string] optional
supervisingHostCerts array [string] optional
supportEmailAddress string optional
≤ 256 characters
supportPhoneNumber string optional
≤ 256 characters
config object optional
profileName string optional
≤ 256 characters
profileUuid string optional
≤ 256 characters
url string optional
≤ 256 characters
allowPairing boolean optional
anchorCerts array [string] optional
autoAdvanceSetup boolean optional
awaitDeviceConfigured boolean optional
configurationWebUrl string optional
≤ 256 characters
department string optional
≤ 256 characters
devices array [string] optional
isMandatory boolean optional
isMdmRemovable boolean optional
isMultiUser boolean optional
isSupervised boolean optional
language string optional
≤ 256 characters
orgMagic string optional
≤ 256 characters
region string optional
≤ 256 characters
skipSetupItems array [string] optional
supervisingHostCerts array [string] optional
supportEmailAddress string optional
≤ 256 characters
supportPhoneNumber string optional
≤ 256 characters
version integer optional
≥ 0
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "admEnterprise": "string",
                "isTemplate": true,
                "profileConfig": {
                    "profileName": "string",
                    "profileUuid": "string",
                    "url": "string",
                    "allowPairing": true,
                    "anchorCerts": [
                        "string"
                    ],
                    "autoAdvanceSetup": true,
                    "awaitDeviceConfigured": true,
                    "configurationWebUrl": "string",
                    "department": "string",
                    "devices": [
                        "string"
                    ],
                    "isMandatory": true,
                    "isMdmRemovable": true,
                    "isMultiUser": true,
                    "isSupervised": true,
                    "language": "string",
                    "orgMagic": "string",
                    "region": "string",
                    "skipSetupItems": [
                        "string"
                    ],
                    "supervisingHostCerts": [
                        "string"
                    ],
                    "supportEmailAddress": "string",
                    "supportPhoneNumber": "string"
                },
                "config": {
                    "profileName": "string",
                    "profileUuid": "string",
                    "url": "string",
                    "allowPairing": true,
                    "anchorCerts": [
                        "string"
                    ],
                    "autoAdvanceSetup": true,
                    "awaitDeviceConfigured": true,
                    "configurationWebUrl": "string",
                    "department": "string",
                    "devices": [
                        "string"
                    ],
                    "isMandatory": true,
                    "isMdmRemovable": true,
                    "isMultiUser": true,
                    "isSupervised": true,
                    "language": "string",
                    "orgMagic": "string",
                    "region": "string",
                    "skipSetupItems": [
                        "string"
                    ],
                    "supervisingHostCerts": [
                        "string"
                    ],
                    "supportEmailAddress": "string",
                    "supportPhoneNumber": "string"
                },
                "version": 0,
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}